@charset "utf-8";

:root {
    --footer-color: #000;
    --footer-border-color: #eee;
    --footer-bg-color: rgb(255, 255, 255);
}

:root.dark {
    --footer-color: rgb(181, 183, 196);
    --footer-border-color: rgb(13, 13, 14);
    --footer-bg-color: #000;
}

footer {
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    padding-bottom: 30px;
    border-top: 1px solid var(--footer-border-color);
}

footer::before {
    content: " ";
    position: absolute;
    bottom: 0;
    height: 3px;
    left: 0;
    width: 100%;
    background-size: 200% 200%;
    background-color: var(--footer-bg-color);
}

html.dark footer::before { background-color: rgb(255,202,0); }

footer > div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px auto;
    max-width: 800px;
}

footer > div > ul { list-style: none; }

footer > div > ul > li.currentLanguage {
    vertical-align: middle;
    display: inline-block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 25px;
    border-radius: 100%;
    height: 25px;
    width: 25px;
}

html.dark footer > div > ul > li.currentLanguage { filter: grayscale(60%); }

footer > div > ul > li.en { background-image: url(../icons/flags/1x1/en.svg); }
footer > div > ul > li.az { background-image: url(../icons/flags/1x1/az.svg); }
footer > div > ul > li.ge { background-image: url(../icons/flags/1x1/ge.svg); }

footer > div > ul.links {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

footer > div > ul > li  {
    text-align: left;
}

footer > div > ul > li > a,
footer > div > ul > li > a:visited,
footer > div > ul > li > a:link {
    margin: 0px 5px;
    vertical-align: middle;
    display: inline-block;
    vertical-align: baseline;
    font-size: 14px;
    color: var(--footer-color);
}


footer > div > ul.links > li.social-media > a.linkedin,
footer > div > ul.links > li.social-media > a.facebook {
    margin: 10px 10px;
    vertical-align: middle;
    display: inline-block;
    height: 25px;
    width: 25px;
    background-color: 25px;
    background-image: url(../icons/sm-facebook.svg);
    align-self: center;
}

footer > div > ul.links > li.social-media > a.linkedin {
    background-image: url(../icons/sm-linkedin.svg);
}

html.dark footer > div > ul.links > li.social-media > a.linkedin,
html.dark footer > div > ul.links > li.social-media > a.facebook { filter: invert(100%); }


@media screen and (max-width: 700px) {
    footer > div { display: block; }    
    footer > div > ul > li.currentLanguage { display:block; margin: 15px auto; }
    footer > div > ul > li  {
        text-align: center;
    }
}